namespace Application.Abstractions.Crypto;

public interface ICryptoHubService
{
    Task SendTickerAsync(CryptoHubData.TickerData ticker, CancellationToken ct = default);
    Task SendTickersAsync(IReadOnlyList<CryptoHubData.TickerData> tickers, CancellationToken ct = default);
    Task SendTradeAsync(CryptoHubData.TradeData trade, CancellationToken ct = default);
    Task SendOrderbookAsync(CryptoHubData.OrderbookData orderbook, CancellationToken ct = default);
    Task SendCandleAsync(CryptoHubData.CandleData candle, CancellationToken ct = default);
}